package com.ruoyi.ss.transactionBill.service;

import com.ruoyi.ss.transactionBill.domain.bo.WithdrawBO;
import com.ruoyi.ss.user.domain.SmUserVO;

/**
 * @author wjh
 * 2024/9/21
 */
public interface WithdrawValidator {

    /**
     * 判断提现是否有风险
     */
    boolean hasRisk(WithdrawBO bo);

    /**
     * 校验实名认证风控
     * @param user 用户
     */
    void checkWithdrawRisk(SmUserVO user);
}
